> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/update-dsentrybase.md).

# Update-DSEntryBase

### Sinopsis

Actualizar una entrada.

### Sintaxis

#### Valor

```
Update-DSEntryBase [-JsonBody] <string> [-AsLegacyResponse] [<CommonParameters>]
```

#### RDMConnection

```
Update-DSEntryBase [-FromRDMConnection] <ConnectionInfoEntity> [-AsLegacyResponse]
 [<CommonParameters>]
```

### Descripción

Actualizar una entrada (la entrada modificada debe estar en jsonBody). A menos que sepa exactamente lo que está haciendo, probablemente debería usar los CMDlets que hemos creado para actualizar entradas.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $credResponse = Get-DSEntry -EntryID $id
        $cred = $credResponse.data
        $cred.data.passwordItem | Add-Member -MemberType NoteProperty -Name SensitiveData -Value 'newPassword'
        Update-DSEntryBase -JsonBody (ConvertTo-Json -InputObject $cred -Depth 4)
```

Se obtiene una entrada de credencial existente con una contraseña existente. Su contraseña se cambia a 'newPassword' añadiendo una propiedad de datos sensibles a passwordItem. La entrada se convierte en json con la profundidad requerida para evitar que se aplane. La entrada se actualiza posteriormente.

#### Ejemplo 2

```powershell
PS C:\> $credResponse = Get-DSEntry -EntryID $id
        $cred = $credResponse.data
        $cred.data.passwordItem | Add-Member -MemberType NoteProperty -Name SensitiveData -Value 'newPassword'
        Update-DSEntryBase -JsonBody (ConvertTo-Json -InputObject $cred -Depth 4)
```

Se obtiene una entrada de credencial existente con una contraseña existente. Su contraseña se cambia a 'newPassword' añadiendo una propiedad de datos sensibles a passwordItem. La entrada se convierte en json con la profundidad requerida para evitar que se aplane. La entrada se actualiza posteriormente.

#### Ejemplo 3

```powershell
PS C:\> $entryID = '12345678-1234-1234-1234-123456781234'
PS C:\> $entry = Get-DSEntry -EntryID $entryID
PS C:\> $entry.data.vpn = @{                                                       
  application = [Devolutions.RemoteDesktopManager.VPNApplication]::DevolutionsGateway
  closeMode = [Devolutions.RemoteDesktopManager.VPNCloseMode]::OnDisconnect
  devolutionsGatewayID = '6ccf937c-7a98-4106-b951-815471ec649b'
  mode = [Devolutions.RemoteDesktopManager.VPNMode]::AlwaysConnect
  enableAutoDetectIsOnlineVPN = 2
}
PS C:\> Update-DSEntryBase -JsonBody (ConvertTo-Json -InputObject $entry -Depth 10)
```

Establecer el Devolutions Gateway predeterminado en la entrada con el modo de conexión 'Always Connect' y el modo de cierre 'On session close'

### Parámetros

#### -AsLegacyResponse

En versiones anteriores a 2024.2, muchos cmdlets de DS devolvían un objeto ServerResponse. Al habilitar este modificador de compatibilidad con versiones anteriores, los scripts desarrollados para versiones anteriores pueden funcionar correctamente.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -FromRDMConnection

Entrada obtenida de Get-DSEntry -AsRDMConnection. Se puede usar para actualizar una entrada

```yaml
Type: Devolutions.RemoteDesktopManager.Business.Entities.ConnectionInfoEntity
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: RDMConnection
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -JsonBody

Entrada en JSON

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Value
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notas

Para más información, escriba "Get-Help Update-DSEntryBase -detailed". Para información técnica, escriba "Get-Help Update-DSEntryBase -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/update-dsentrybase.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
